#c-prop-icon {

}

.c-prop-icon {
    position: relative;
    display: inline-flex;
    flex-direction: column;
}

.c-prop-icon__clear-icon {
    width: 15px;
    height: 15px;
    background: url("img/close.png") center center no-repeat;
    position: absolute;
    top: -3px;
    left: 45px;
}

.c-prop-icon__chosen-icon {
    white-space: nowrap;
}
.c-prop-icon__button {
    border: 1px solid rgb(135, 145, 156);
    border-radius: 3px;
    background-color: rgb(255, 255, 255);
    font-size: 20px;
    width: 2em;
    height: 2em;
    cursor: pointer;
    position: relative;

    display: flex;
    align-items: center;
    justify-content: center;
}
.c-prop-icon__selected-icon-text {
    margin-top: 4px;
    font-size: 13px;
}


.c-prop-icon__popup {
    position: fixed;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    z-index: 1;

    -webkit-transition: opacity .15s ease;
    -moz-transition: opacity .15s ease;
    -ms-transition: opacity .15s ease;
    -o-transition: opacity .15s ease;
    transition: opacity .15s ease;
}
    /*modal animation*/
    .modal-enter {
        opacity: 0;
    }
    .modal-leave-active {
        opacity: 0;
    }
    .modal-enter .c-prop-icon__popup-content,
    .modal-leave-active .c-prop-icon__popup-content {
        -webkit-transform: scale(1.1);
        transform: scale(1.1);
    }


.c-prop-icon__popup-overlay {
    position: absolute;
    left: 0;
    right: 0;
    bottom: 0;
    top: 0;
    background: #fff url("img/8-4.jpg") no-repeat;
    background-size: contain;
}

.c-prop-icon__popup-content {
    font-size: 10px;

    width: 92em;
    height: calc(53.6em + 40px);
    max-width: calc( 100% - 40px);
    max-height: calc(100vh - 40px);
    padding: 20px;
    overflow-y: auto;
    overflow-x: hidden;
    background-color: white;
    position: absolute;
    z-index: 1;
    left: 0;
    right: 0;
    margin: auto;
    top: 20px;
    bottom: 20px;
    box-sizing: border-box;
    box-shadow: 0 0 1px #ababab;

    -webkit-transition: transform .15s ease;
    -moz-transition: transform .15s ease;
    -ms-transition: transform .15s ease;
    -o-transition: transform .15s ease;
    transition: transform .15s ease;
}

.c-prop-icon__input-group-wrap {
    overflow-x: hidden;
    overflow-y: auto;
    height: calc(100% - 50px);
}

.c-prop-icon__header {
    height: 50px;
}
.c-prop-icon__search-input {
    width: 100%;
    box-sizing: border-box;
    padding: 4px 10px;
    border-radius: 3px;
    border: 1px solid #ccc;
    color: #333;
    margin-bottom: 4px;
}
.c-prop-icon__change-view {
    text-align: right;
    font-size: 12px;
}
    .c-prop-icon__change-view a {
        color: #607D8B;
        margin-left: 10px;
    }
    .c-prop-icon__change-view a._selected {
        text-decoration: none;
    }
    .c-prop-icon__change-view a._disabled {
        color: #ccc;
        pointer-events: none;
        text-decoration: none;
    }
.c-prop-icon__icon-group {
    margin-bottom: 1em;
}

.c-prop-icon__title {
    font-size: 1.4em;
    margin-bottom: .4em;
    color: #9E9E9E;
}
.c-prop-icon__list {
    display: flex;
    flex-wrap: wrap;
    margin: -.2em;
}
.c-prop-icon__item {
    width: 5em;
    height: 5em;
    margin: .2em;
    box-sizing: border-box;
    border: 1px solid #ccc;
    border-radius: 6px;
    display: flex;
    cursor: pointer;
    align-items: center;
    justify-content: center;
}
.c-prop-icon__item._selected {
    box-shadow: 0 0 2px 1px #cccccc;
    background-color: rgba(96, 125, 139, 0.2);
    border-color: rgba(96, 125, 139, 0.53);
}

.c-prop-icon__item i {
    font-size: 2.6em;
    color: #607D8B;
}


